WCSLIB 8.9

Loading...
Searching...
No Matches
Macros
wcsmath.h File Reference

Go to the source code of this file.

## Macros
#define | PI 3.141592653589793238462643
#define | D2R (PI/180.0)
| Degrees to radians conversion factor.
#define | R2D (180.0/PI)
| Radians to degrees conversion factor.
#define | SQRT2 1.4142135623730950488
#define | SQRT2INV (1.0/SQRT2)
#define | UNDEFINED 987654321.0e99
| Value used to indicate an undefined quantity.
#define | undefined(value)
| Macro used to test for an undefined quantity.

## Detailed Description

Definition of mathematical constants used by WCSLIB.

## Macro Definition Documentation

## ◆ PI

#define PI 3.141592653589793238462643

## ◆ D2R

#define D2R (PI/180.0)

Degrees to radians conversion factor.

Factor to convert from degrees to radians.

## ◆ R2D

#define R2D (180.0/PI)

Radians to degrees conversion factor.

Factor to convert from radians to degrees.

## ◆ SQRT2

#define SQRT2 1.4142135623730950488

, used only by molset() (MOL projection).

## ◆ SQRT2INV

#define SQRT2INV (1.0/SQRT2)

, used only by qscx2s() (QSC projection).

## ◆ UNDEFINED

#define UNDEFINED 987654321.0e99

Value used to indicate an undefined quantity.

Value used to indicate an undefined quantity (noting that NaNs cannot be used portably).

## ◆ undefined

#define undefined | ( |  | value | ) |

Value:
(value == UNDEFINED)
UNDEFINED
#define UNDEFINED
Value used to indicate an undefined quantity.
Definition wcsmath.h:69

Macro used to test for an undefined quantity.

Macro used to test for an undefined value.